commit aa04efcf574ac9b8b6868a6c6793b3ec937ce263
parent e1f03c481a1cf87cead2c5af66b36dbdfbb9a983
Author: dundargoc <33953936+dundargoc@users.noreply.github.com>
Date: Mon, 6 Feb 2023 23:14:41 +0100
ci: remove unhelpful helper functions for make (#22148)
Diffstat:
2 files changed, 6 insertions(+), 21 deletions(-)
diff --git a/ci/common/build.sh b/ci/common/build.sh
@@ -6,15 +6,6 @@ _stat() {
fi
}
-top_make() {
- printf '%78s\n' ' ' | tr ' ' '='
- ninja "$@"
-}
-
-build_make() {
- top_make -C "${BUILD_DIR}" "$@"
-}
-
build_deps() {
if test "${FUNCTIONALTEST}" = "functionaltest-lua" ; then
DEPS_CMAKE_FLAGS="${DEPS_CMAKE_FLAGS} -DUSE_BUNDLED_LUA=ON"
@@ -35,9 +26,7 @@ build_deps() {
# shellcheck disable=SC2086
CC= cmake -G Ninja ${DEPS_CMAKE_FLAGS} "${CI_BUILD_DIR}/cmake.deps/"
- if ! top_make; then
- exit 1
- fi
+ ninja || exit 1
cd "${CI_BUILD_DIR}"
}
@@ -56,15 +45,11 @@ build_nvim() {
cmake -G Ninja ${CMAKE_FLAGS} "$@" "${CI_BUILD_DIR}"
echo "Building nvim."
- if ! top_make nvim ; then
- exit 1
- fi
+ ninja nvim || exit 1
if test "$CLANG_SANITIZER" != "TSAN" ; then
echo "Building libnvim."
- if ! top_make libnvim ; then
- exit 1
- fi
+ ninja libnvim || exit 1
fi
# Invoke nvim to trigger *San early.
diff --git a/ci/common/test.sh b/ci/common/test.sh
@@ -90,7 +90,7 @@ check_sanitizer() {
unittests() {(
ulimit -c unlimited || true
- if ! build_make unittest ; then
+ if ! ninja -C "${BUILD_DIR}" unittest; then
fail 'unittests' 'Unit tests failed'
fi
submit_coverage unittest
@@ -99,7 +99,7 @@ unittests() {(
functionaltests() {(
ulimit -c unlimited || true
- if ! build_make "${FUNCTIONALTEST}"; then
+ if ! ninja -C "${BUILD_DIR}" "${FUNCTIONALTEST}"; then
fail 'functionaltests' 'Functional tests failed'
fi
submit_coverage functionaltest
@@ -140,7 +140,7 @@ check_runtime_files() {(
)}
install_nvim() {(
- if ! build_make install ; then
+ if ! ninja -C "${BUILD_DIR}" install; then
fail 'install' 'make install failed'
exit 1
fi